> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api-docs.hindsiteind.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api-docs.hindsiteind.com/_mcp/server.

# Post Defects Id Begin Work

POST https://app.hindsiteind.com/api/v2/defects/{id}/begin_work
Content-Type: application/json

Reference: https://api-docs.hindsiteind.com/hindsite-api/defects/post-defects-id-begin-work

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 Client Credentials Flow. To obtain an access token: 1. Request API credentials from HINDSITE support to receive your `client_id` and `client_secret` 2. Make a POST request to obtain an access token: ``` POST https://app.hindsiteind.com/oauth/token Content-Type: application/x-www-form-urlencoded grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET ``` 3. The response will contain your access token: ```json { "access_token": "your_access_token_here", "token_type": "Bearer", "expires_in": 7200, "created_at": 1234567890 } ``` 4. Include the token in subsequent API requests: ``` Authorization: Bearer your_access_token_here ```

## Request

### Path parameters

- `id` (string, required)

### Body (application/json)

- `content` (string, optional) — Comment content recorded with the transition
- `attachments` (list of string, optional) — Attachment signed IDs
- `custom_field_values` (list of object, optional)
  - `custom_field_definition_id` (string, required)
  - `value` (string, optional)

## Response

### 200

The updated defect

- `id` (string, optional) — ULID
- `display_id` (string, optional)
- `custom_id` (string, optional)
- `status` (string, optional)
- `description` (string, optional)
- `description_html` (string, optional)
- `form_step_id` (string, optional) — ULID
- `form_id` (string, optional) — ULID
- `step_label` (string, optional)
- `requires_resolution_images` (boolean, optional)
- `rework_count` (integer, optional)
- `created_by_user` (object, optional)
  - `id` (string, optional) — ULID
  - `email` (string, optional)
  - `name` (string, optional)
  - `is_admin` (boolean, optional)
  - `location_manager` (boolean, optional)
  - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
  - `archived` (boolean, optional)
  - `organisation_id` (string, optional) — ULID
- `assignees` (list of object, optional)
  - `id` (string, optional) — ULID
  - `email` (string, optional)
  - `name` (string, optional)
  - `is_admin` (boolean, optional)
  - `location_manager` (boolean, optional)
  - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
  - `archived` (boolean, optional)
  - `organisation_id` (string, optional) — ULID
- `reviewers` (list of object, optional)
  - `id` (string, optional) — ULID
  - `email` (string, optional)
  - `name` (string, optional)
  - `is_admin` (boolean, optional)
  - `location_manager` (boolean, optional)
  - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
  - `archived` (boolean, optional)
  - `organisation_id` (string, optional) — ULID
- `approvers` (list of object, optional)
  - `id` (string, optional) — ULID
  - `email` (string, optional)
  - `name` (string, optional)
  - `is_admin` (boolean, optional)
  - `location_manager` (boolean, optional)
  - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
  - `archived` (boolean, optional)
  - `organisation_id` (string, optional) — ULID
- `observers` (list of object, optional)
  - `id` (string, optional) — ULID
  - `email` (string, optional)
  - `name` (string, optional)
  - `is_admin` (boolean, optional)
  - `location_manager` (boolean, optional)
  - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
  - `archived` (boolean, optional)
  - `organisation_id` (string, optional) — ULID
- `available_transitions` (list of string, optional)
- `can_manage_participants` (boolean, optional)
- `work_order_task` (object, optional)
  - `id` (string, optional) — ULID
  - `title` (string, optional)
  - `instructed` (boolean, optional)
  - `instruction_id` (string, optional, nullable) — ULID. Null for uninstructed tasks.
  - `work_order_id` (string, optional) — ULID
  - `sort_order` (integer, optional)
  - `flagged` (boolean, optional)
  - `published_instruction_revision_id` (string, optional) — ULID
  - `users` (list of object, optional)
    - `id` (string, optional) — ULID
    - `email` (string, optional)
    - `name` (string, optional)
    - `is_admin` (boolean, optional)
    - `location_manager` (boolean, optional)
    - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
    - `archived` (boolean, optional)
    - `organisation_id` (string, optional) — ULID
  - `started_at` (long, optional) — Unix timestamp (seconds since epoch)
  - `completed` (boolean, optional)
  - `approved` (boolean, optional)
  - `asset_id` (string, optional) — ULID
  - `tracked_time` (integer, optional)
  - `defects_count` (integer, optional)
  - `active_defects_count` (integer, optional)
  - `started_by` (object, optional)
    - `id` (string, optional) — ULID
    - `email` (string, optional)
    - `name` (string, optional)
    - `is_admin` (boolean, optional)
    - `location_manager` (boolean, optional)
    - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
    - `archived` (boolean, optional)
    - `organisation_id` (string, optional) — ULID
  - `editable` (boolean, optional)
  - `reviewers` (list of object, optional)
    - `id` (string, optional) — ULID
    - `name` (string, optional)
    - `person_id` (string, optional) — ULID
    - `reviewable_id` (string, optional) — ULID
    - `reviewable_type` (string, optional)
    - `status` (string, optional)
    - `requested_at` (datetime, optional)
    - `reviews` (list of object, optional)
      - `id` (string, optional) — ULID
      - `status` (string, optional)
      - `comment` (string, optional)
      - `created_at` (long, optional) — Unix timestamp (seconds since epoch)
  - `form` (object, optional)
    - `id` (string, optional) — ULID
    - `title` (string, optional)
    - `instruction_revision_id` (string, optional) — ULID
    - `contributor_ids` (list of string, optional)
    - `approved` (boolean, optional)
    - `started_at` (long, optional) — Unix timestamp (seconds since epoch)
    - `completed_at` (long, optional) — Unix timestamp (seconds since epoch)
    - `work_order_task_id` (string, optional) — ULID
    - `taken_over_from_form_id` (string, optional) — ULID
    - `in_progress_user_id` (string, optional) — ULID
    - `note` (string, optional)
    - `co_author_ids` (list of string, optional) — Deprecated, use contributor_ids
    - `user_id` (string, optional) — ULID
    - `in_progress_user` (object, optional)
      - `id` (string, optional) — ULID
      - `email` (string, optional)
      - `name` (string, optional)
      - `is_admin` (boolean, optional)
      - `location_manager` (boolean, optional)
      - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
      - `archived` (boolean, optional)
      - `organisation_id` (string, optional) — ULID
    - `work_order_task` (object, optional)
    - `steps` (list of object, optional)
      - `id` (string, optional) — ULID
      - `instruction_step_id` (string, optional) — ULID
      - `form_id` (string, optional) — ULID
      - `started_at` (long, optional) — Unix timestamp (seconds since epoch)
      - `next_instruction_step_id` (string, optional) — ULID
      - `decision_value` (string, optional)
      - `instruction_decision_id` (string, optional) — ULID
      - `decision_colour` (string, optional)
      - `flagged` (boolean, optional)
      - `instruction_step_title` (string, optional)
      - `instruction_step_section_title` (string, optional)
      - `instruction_step_description` (string, optional)
      - `report_description` (string, optional)
      - `terminal` (boolean, optional)
      - `completed_by_user_id` (string, optional) — ULID
      - `first_step` (boolean, optional)
      - `defects_count` (integer, optional)
      - `active_defects_count` (integer, optional)
      - `inputs` (list of object, optional)
        - `id` (string, optional) — ULID
        - `input` (string, optional)
        - `unformatted_date_input` (string, optional)
        - `selected_multi_options` (list of object, optional)
          - `id` (string, optional) — ULID
          - `value` (string, optional)
          - `colour` (string, optional)
          - `instruction_option_id` (string, optional) — ULID
        - `selected_input_records` (list of object, optional)
          - `id` (string, optional) — ULID
          - `value` (string, optional)
        - `failed_validations` (list of string, optional)
        - `prefix` (string, optional)
        - `suffix` (string, optional)
        - `instruction_input_title` (string, optional)
        - `instruction_input_type` (string, optional)
        - `instruction_input_id` (string, optional) — ULID
        - `attachments` (list of object, optional)
          - `id` (string, optional) — ULID
          - `content` (object, optional)
            - `id` (string, optional) — ULID
            - `original` (string, optional) — Presigned URL
            - `versions` (list of string, optional)
            - `thumbnails` (list of string, optional)
            - `title` (string, optional)
          - `excluded_from_export` (boolean, optional)
        - `form_step_id` (string, optional) — ULID
        - `created_at` (long, optional) — Unix timestamp (seconds since epoch)
        - `updated_at` (long, optional) — Unix timestamp (seconds since epoch)
      - `actions` (list of object, optional)
        - `id` (string, optional) — ULID
        - `title` (string, optional)
        - `description` (string, optional)
        - `status` (string, optional)
        - `priority` (string, optional)
        - `actionable_type` (enum, optional)
          - Allowed values: `WorkOrder`, `Form`, `FormStep`, `FormInput::Option`, `Noticed::Event`, `Asset`
        - `actionable_id` (string, optional) — ULID
        - `assigned_to_id` (string, optional) — ULID
        - `user_id` (string, optional) — ULID
        - `organisation_id` (string, optional) — ULID
        - `due_date` (long, optional) — Unix timestamp (seconds since epoch)
        - `completed_at` (long, optional) — Unix timestamp (seconds since epoch)
        - `notes` (list of object, optional)
          - `id` (string, optional) — ULID
          - `content` (string, optional) — Sanitized HTML content
          - `plain_text_content` (string, optional)
          - `user` (object, optional)
            - `id` (string, optional) — ULID
            - `email` (string, optional)
            - `name` (string, optional)
            - `is_admin` (boolean, optional)
            - `location_manager` (boolean, optional)
            - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
            - `archived` (boolean, optional)
            - `organisation_id` (string, optional) — ULID
          - `noteable_type` (string, optional)
          - `noteable_id` (string, optional) — ULID
          - `attachments` (list of object, optional)
            - `blob_url` (string, optional)
            - `signed_id` (string, optional)
            - `filename` (string, optional)
            - `byte_size` (integer, optional)
            - `content_type` (string, optional)
            - `preview_url` (string, optional) — Poster image URL. Present only for previewable blobs (e.g. video).
        - `user` (object, optional)
          - `id` (string, optional) — ULID
          - `email` (string, optional)
          - `name` (string, optional)
          - `is_admin` (boolean, optional)
          - `location_manager` (boolean, optional)
          - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
          - `archived` (boolean, optional)
          - `organisation_id` (string, optional) — ULID
        - `contents` (list of object, optional)
          - `id` (string, optional) — ULID
          - `original` (string, optional) — Presigned URL
          - `versions` (list of string, optional)
          - `thumbnails` (list of string, optional)
          - `title` (string, optional)
        - `assigned_to` (object, optional)
          - `id` (string, optional) — ULID
          - `name` (string, optional)
        - `created_at` (long, optional) — Unix timestamp (seconds since epoch)
        - `updated_at` (long, optional) — Unix timestamp (seconds since epoch)
        - `actionable` (object, optional) — The FormStep the action belongs to; present when actionable_type is FormStep or FormInput::Option
      - `comment` (object, optional)
        - `id` (string, optional) — ULID
        - `description` (string, optional)
        - `user` (object, optional)
          - `id` (string, optional) — ULID
          - `email` (string, optional)
          - `name` (string, optional)
          - `is_admin` (boolean, optional)
          - `location_manager` (boolean, optional)
          - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
          - `archived` (boolean, optional)
          - `organisation_id` (string, optional) — ULID
        - `created_at` (long, optional) — Unix timestamp (seconds since epoch)
        - `updated_at` (long, optional) — Unix timestamp (seconds since epoch)
      - `completed_by_user` (object, optional)
        - `id` (string, optional) — ULID
        - `email` (string, optional)
        - `name` (string, optional)
        - `is_admin` (boolean, optional)
        - `location_manager` (boolean, optional)
        - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
        - `archived` (boolean, optional)
        - `organisation_id` (string, optional) — ULID
      - `created_at` (long, optional) — Unix timestamp (seconds since epoch)
      - `updated_at` (long, optional) — Unix timestamp (seconds since epoch)
    - `flagged_steps` (list of object, optional)
      - `id` (string, optional) — ULID
      - `instruction_step_id` (string, optional) — ULID
      - `form_id` (string, optional) — ULID
      - `started_at` (long, optional) — Unix timestamp (seconds since epoch)
      - `next_instruction_step_id` (string, optional) — ULID
      - `decision_value` (string, optional)
      - `instruction_decision_id` (string, optional) — ULID
      - `decision_colour` (string, optional)
      - `flagged` (boolean, optional)
      - `instruction_step_title` (string, optional)
      - `instruction_step_section_title` (string, optional)
      - `instruction_step_description` (string, optional)
      - `report_description` (string, optional)
      - `terminal` (boolean, optional)
      - `completed_by_user_id` (string, optional) — ULID
      - `first_step` (boolean, optional)
      - `defects_count` (integer, optional)
      - `active_defects_count` (integer, optional)
      - `inputs` (list of object, optional)
        - `id` (string, optional) — ULID
        - `input` (string, optional)
        - `unformatted_date_input` (string, optional)
        - `selected_multi_options` (list of object, optional)
          - `id` (string, optional) — ULID
          - `value` (string, optional)
          - `colour` (string, optional)
          - `instruction_option_id` (string, optional) — ULID
        - `selected_input_records` (list of object, optional)
          - `id` (string, optional) — ULID
          - `value` (string, optional)
        - `failed_validations` (list of string, optional)
        - `prefix` (string, optional)
        - `suffix` (string, optional)
        - `instruction_input_title` (string, optional)
        - `instruction_input_type` (string, optional)
        - `instruction_input_id` (string, optional) — ULID
        - `attachments` (list of object, optional)
          - `id` (string, optional) — ULID
          - `content` (object, optional)
            - `id` (string, optional) — ULID
            - `original` (string, optional) — Presigned URL
            - `versions` (list of string, optional)
            - `thumbnails` (list of string, optional)
            - `title` (string, optional)
          - `excluded_from_export` (boolean, optional)
        - `form_step_id` (string, optional) — ULID
        - `created_at` (long, optional) — Unix timestamp (seconds since epoch)
        - `updated_at` (long, optional) — Unix timestamp (seconds since epoch)
      - `actions` (list of object, optional)
        - `id` (string, optional) — ULID
        - `title` (string, optional)
        - `description` (string, optional)
        - `status` (string, optional)
        - `priority` (string, optional)
        - `actionable_type` (enum, optional)
          - Allowed values: `WorkOrder`, `Form`, `FormStep`, `FormInput::Option`, `Noticed::Event`, `Asset`
        - `actionable_id` (string, optional) — ULID
        - `assigned_to_id` (string, optional) — ULID
        - `user_id` (string, optional) — ULID
        - `organisation_id` (string, optional) — ULID
        - `due_date` (long, optional) — Unix timestamp (seconds since epoch)
        - `completed_at` (long, optional) — Unix timestamp (seconds since epoch)
        - `notes` (list of object, optional)
          - `id` (string, optional) — ULID
          - `content` (string, optional) — Sanitized HTML content
          - `plain_text_content` (string, optional)
          - `user` (object, optional)
            - `id` (string, optional) — ULID
            - `email` (string, optional)
            - `name` (string, optional)
            - `is_admin` (boolean, optional)
            - `location_manager` (boolean, optional)
            - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
            - `archived` (boolean, optional)
            - `organisation_id` (string, optional) — ULID
          - `noteable_type` (string, optional)
          - `noteable_id` (string, optional) — ULID
          - `attachments` (list of object, optional)
            - `blob_url` (string, optional)
            - `signed_id` (string, optional)
            - `filename` (string, optional)
            - `byte_size` (integer, optional)
            - `content_type` (string, optional)
            - `preview_url` (string, optional) — Poster image URL. Present only for previewable blobs (e.g. video).
        - `user` (object, optional)
          - `id` (string, optional) — ULID
          - `email` (string, optional)
          - `name` (string, optional)
          - `is_admin` (boolean, optional)
          - `location_manager` (boolean, optional)
          - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
          - `archived` (boolean, optional)
          - `organisation_id` (string, optional) — ULID
        - `contents` (list of object, optional)
          - `id` (string, optional) — ULID
          - `original` (string, optional) — Presigned URL
          - `versions` (list of string, optional)
          - `thumbnails` (list of string, optional)
          - `title` (string, optional)
        - `assigned_to` (object, optional)
          - `id` (string, optional) — ULID
          - `name` (string, optional)
        - `created_at` (long, optional) — Unix timestamp (seconds since epoch)
        - `updated_at` (long, optional) — Unix timestamp (seconds since epoch)
        - `actionable` (object, optional) — The FormStep the action belongs to; present when actionable_type is FormStep or FormInput::Option
      - `comment` (object, optional)
        - `id` (string, optional) — ULID
        - `description` (string, optional)
        - `user` (object, optional)
          - `id` (string, optional) — ULID
          - `email` (string, optional)
          - `name` (string, optional)
          - `is_admin` (boolean, optional)
          - `location_manager` (boolean, optional)
          - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
          - `archived` (boolean, optional)
          - `organisation_id` (string, optional) — ULID
        - `created_at` (long, optional) — Unix timestamp (seconds since epoch)
        - `updated_at` (long, optional) — Unix timestamp (seconds since epoch)
      - `completed_by_user` (object, optional)
        - `id` (string, optional) — ULID
        - `email` (string, optional)
        - `name` (string, optional)
        - `is_admin` (boolean, optional)
        - `location_manager` (boolean, optional)
        - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
        - `archived` (boolean, optional)
        - `organisation_id` (string, optional) — ULID
      - `created_at` (long, optional) — Unix timestamp (seconds since epoch)
      - `updated_at` (long, optional) — Unix timestamp (seconds since epoch)
    - `user` (object, optional)
      - `id` (string, optional) — ULID
      - `email` (string, optional)
      - `name` (string, optional)
      - `is_admin` (boolean, optional)
      - `location_manager` (boolean, optional)
      - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
      - `archived` (boolean, optional)
      - `organisation_id` (string, optional) — ULID
    - `contributors` (list of object, optional)
      - `id` (string, optional) — ULID
      - `email` (string, optional)
      - `name` (string, optional)
      - `is_admin` (boolean, optional)
      - `location_manager` (boolean, optional)
      - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
      - `archived` (boolean, optional)
      - `organisation_id` (string, optional) — ULID
    - `connected_users` (list of object, optional)
      - `id` (string, optional) — ULID
      - `email` (string, optional)
      - `name` (string, optional)
      - `is_admin` (boolean, optional)
      - `location_manager` (boolean, optional)
      - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
      - `archived` (boolean, optional)
      - `organisation_id` (string, optional) — ULID
    - `co_authors` (list of object, optional) — Deprecated, use contributors
      - `id` (string, optional) — ULID
      - `email` (string, optional)
      - `name` (string, optional)
      - `is_admin` (boolean, optional)
      - `location_manager` (boolean, optional)
      - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
      - `archived` (boolean, optional)
      - `organisation_id` (string, optional) — ULID
    - `created_at` (long, optional) — Unix timestamp (seconds since epoch)
    - `updated_at` (long, optional) — Unix timestamp (seconds since epoch)
    - `reviewers` (list of object, optional)
      - `id` (string, optional) — ULID
      - `name` (string, optional)
      - `person_id` (string, optional) — ULID
      - `reviewable_id` (string, optional) — ULID
      - `reviewable_type` (string, optional)
      - `status` (string, optional)
      - `requested_at` (datetime, optional)
      - `reviews` (list of object, optional)
        - `id` (string, optional) — ULID
        - `status` (string, optional)
        - `comment` (string, optional)
        - `created_at` (long, optional) — Unix timestamp (seconds since epoch)
  - `published_instruction_revision` (object, optional)
    - `id` (string, optional) — ULID
    - `title` (string, optional)
    - `description` (string, optional)
    - `archived` (boolean, optional)
    - `first_instruction_step_id` (string, optional) — ULID
    - `location_ids` (list of string, optional)
    - `group_ids` (list of string, optional)
    - `user_id` (string, optional) — ULID
    - `is_template` (boolean, optional)
    - `instruction_id` (string, optional) — ULID
    - `is_latest_in_collection` (boolean, optional)
    - `organisation_wide` (boolean, optional)
    - `planned_parts` (list of object, optional)
      - `id` (string, optional) — ULID
      - `quantity` (double, optional)
      - `instruction_revision_id` (string, optional) — ULID
    - `part_confirmation_required` (boolean, optional)
    - `links` (list of object, optional)
      - `id` (string, optional) — ULID
      - `name` (string, optional)
      - `location_id` (string, optional)
      - `organisation_id` (string, optional)
      - `linkable_id` (string, optional)
      - `linkable_type` (string, optional)
    - `steps` (list of object, optional)
      - `id` (string, optional) — ULID
      - `step_uuid` (string, optional)
      - `title` (string, optional)
      - `section_title` (string, optional)
      - `report_only` (boolean, optional)
      - `description` (string, optional)
      - `inputs` (list of object, optional)
        - `id` (string, optional) — ULID
        - `title` (string, optional)
        - `input_type` (string, optional)
        - `sort_order` (integer, optional)
        - `required` (boolean, optional)
        - `hold_point` (boolean, optional)
        - `validations` (list of object, optional)
          - `id` (string, optional) — ULID
          - `validation_type` (string, optional)
          - `value` (string, optional)
          - `restricted` (boolean, optional)
        - `options` (list of object, optional)
          - `id` (string, optional) — ULID
          - `value` (string, optional)
          - `colour` (string, optional)
        - `prefix` (string, optional)
        - `suffix` (string, optional)
        - `input_owner_id` (string, optional) — ULID
        - `input_owner_type` (string, optional)
        - `settings` (object, optional)
        - `type` (string, optional)
        - `instruction_input` (boolean, optional)
        - `conditions` (list of object, optional)
          - `id` (string, optional) — ULID
          - `instruction_input_id` (string, optional) — ULID
          - `condition_type` (string, optional)
          - `condition_value` (string, optional)
          - `instruction_conditional_input` (object, optional)
      - `decisions` (list of object, optional)
        - `id` (string, optional) — ULID
        - `next_instruction_step_id` (string, optional) — ULID
        - `instruction_step_id` (string, optional) — ULID
        - `label` (string, optional)
        - `colour` (string, optional)
      - `attachments` (list of object, optional)
        - `id` (string, optional) — ULID
        - `original` (string, optional) — Presigned URL
        - `versions` (list of string, optional)
        - `thumbnails` (list of string, optional)
        - `title` (string, optional)
        - `include_in_report` (boolean, optional)
    - `published_at` (long, optional)
  - `position` (integer, optional)
  - `planned_start_at` (long, optional)
  - `planned_finish_at` (long, optional)
  - `user_can_review` (boolean, optional)
  - `attachments` (list of object, optional)
    - `id` (string, optional) — ULID
    - `blob_url` (string, optional)
    - `signed_id` (string, optional)
    - `filename` (string, optional)
    - `byte_size` (integer, optional)
    - `content_type` (string, optional)
    - `preview_url` (string, optional) — Poster image URL. Present only for previewable blobs (e.g. video).
- `custom_fields` (list of object, optional)
  - `id` (string, optional) — ULID
  - `custom_field_definition_id` (string, optional) — ULID
  - `name` (string, optional)
  - `value` (string, optional)
- `custom_field_definitions` (list of object, optional)
  - `id` (string, optional) — ULID
  - `name` (string, optional)
  - `customisable_entity_name` (string, optional)
  - `field_type` (string, optional)
  - `required` (boolean, optional)
  - `options` (any, optional)
  - `sort_order` (integer, optional)
  - `created_at` (long, optional) — Unix timestamp (seconds since epoch)
  - `updated_at` (long, optional) — Unix timestamp (seconds since epoch)
- `timeline` (list of object, optional)
  - `id` (string, optional) — ULID
  - `event_type` (string, optional)
  - `event_description` (string, optional)
  - `user` (object, optional)
    - `id` (string, optional) — ULID
    - `email` (string, optional)
    - `name` (string, optional)
    - `is_admin` (boolean, optional)
    - `location_manager` (boolean, optional)
    - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
    - `archived` (boolean, optional)
    - `organisation_id` (string, optional) — ULID
  - `from_status` (string, optional)
  - `to_status` (string, optional)
  - `note` (object, optional)
    - `id` (string, optional) — ULID
    - `content` (string, optional) — Sanitized HTML content
    - `plain_text_content` (string, optional)
    - `user` (object, optional)
      - `id` (string, optional) — ULID
      - `email` (string, optional)
      - `name` (string, optional)
      - `is_admin` (boolean, optional)
      - `location_manager` (boolean, optional)
      - `last_active_at` (long, optional) — Unix timestamp (seconds since epoch)
      - `archived` (boolean, optional)
      - `organisation_id` (string, optional) — ULID
    - `noteable_type` (string, optional)
    - `noteable_id` (string, optional) — ULID
    - `attachments` (list of object, optional)
      - `blob_url` (string, optional)
      - `signed_id` (string, optional)
      - `filename` (string, optional)
      - `byte_size` (integer, optional)
      - `content_type` (string, optional)
      - `preview_url` (string, optional) — Poster image URL. Present only for previewable blobs (e.g. video).
  - `custom_fields` (list of object, optional)
    - `id` (string, optional) — ULID
    - `custom_field_definition_id` (string, optional) — ULID
    - `name` (string, optional)
    - `value` (string, optional)
  - `custom_field_definitions` (list of object, optional)
    - `id` (string, optional) — ULID
    - `name` (string, optional)
    - `customisable_entity_name` (string, optional)
    - `field_type` (string, optional)
    - `required` (boolean, optional)
    - `options` (any, optional)
    - `sort_order` (integer, optional)
    - `created_at` (long, optional) — Unix timestamp (seconds since epoch)
    - `updated_at` (long, optional) — Unix timestamp (seconds since epoch)
  - `created_at` (long, optional) — Unix timestamp (seconds since epoch)
- `description_attachments` (list of object, optional)
  - `blob_url` (string, optional)
  - `signed_id` (string, optional)
  - `filename` (string, optional)
  - `byte_size` (integer, optional)
  - `content_type` (string, optional)
  - `preview_url` (string, optional) — Poster image URL. Present only for previewable blobs (e.g. video).
- `created_at` (long, optional) — Unix timestamp (seconds since epoch)
- `priority` (enum, optional)
  - Allowed values: `low`, `medium`, `high`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "id": "string",
  "display_id": "string",
  "custom_id": "string",
  "status": "string",
  "description": "string",
  "description_html": "string",
  "form_step_id": "string",
  "form_id": "string",
  "step_label": "string",
  "requires_resolution_images": true,
  "rework_count": 1,
  "created_by_user": {
    "id": "string",
    "email": "string",
    "name": "string",
    "is_admin": true,
    "location_manager": true,
    "last_active_at": 1,
    "archived": true,
    "organisation_id": "string"
  },
  "assignees": [
    {
      "id": "string",
      "email": "string",
      "name": "string",
      "is_admin": true,
      "location_manager": true,
      "last_active_at": 1,
      "archived": true,
      "organisation_id": "string"
    }
  ],
  "reviewers": [
    {
      "id": "string",
      "email": "string",
      "name": "string",
      "is_admin": true,
      "location_manager": true,
      "last_active_at": 1,
      "archived": true,
      "organisation_id": "string"
    }
  ],
  "approvers": [
    {
      "id": "string",
      "email": "string",
      "name": "string",
      "is_admin": true,
      "location_manager": true,
      "last_active_at": 1,
      "archived": true,
      "organisation_id": "string"
    }
  ],
  "observers": [
    {
      "id": "string",
      "email": "string",
      "name": "string",
      "is_admin": true,
      "location_manager": true,
      "last_active_at": 1,
      "archived": true,
      "organisation_id": "string"
    }
  ],
  "available_transitions": [
    "string"
  ],
  "can_manage_participants": true,
  "work_order_task": {
    "id": "string",
    "title": "string",
    "instructed": true,
    "instruction_id": "string",
    "work_order_id": "string",
    "sort_order": 1,
    "flagged": true,
    "published_instruction_revision_id": "string",
    "users": [
      {
        "id": "string",
        "email": "string",
        "name": "string",
        "is_admin": true,
        "location_manager": true,
        "last_active_at": 1,
        "archived": true,
        "organisation_id": "string"
      }
    ],
    "started_at": 1,
    "completed": true,
    "approved": true,
    "asset_id": "string",
    "tracked_time": 1,
    "defects_count": 1,
    "active_defects_count": 1,
    "started_by": {
      "id": "string",
      "email": "string",
      "name": "string",
      "is_admin": true,
      "location_manager": true,
      "last_active_at": 1,
      "archived": true,
      "organisation_id": "string"
    },
    "editable": true,
    "reviewers": [
      {
        "id": "string",
        "name": "string",
        "person_id": "string",
        "reviewable_id": "string",
        "reviewable_type": "string",
        "status": "string",
        "requested_at": "2024-01-15T09:30:00Z",
        "reviews": [
          {
            "id": "string",
            "status": "string",
            "comment": "string",
            "created_at": 1
          }
        ]
      }
    ],
    "form": {
      "id": "string",
      "title": "string",
      "instruction_revision_id": "string",
      "contributor_ids": [
        "string"
      ],
      "approved": true,
      "started_at": 1,
      "completed_at": 1,
      "work_order_task_id": "string",
      "taken_over_from_form_id": "string",
      "in_progress_user_id": "string",
      "note": "string",
      "co_author_ids": [
        "string"
      ],
      "user_id": "string",
      "in_progress_user": {
        "id": "string",
        "email": "string",
        "name": "string",
        "is_admin": true,
        "location_manager": true,
        "last_active_at": 1,
        "archived": true,
        "organisation_id": "string"
      },
      "steps": [
        {
          "id": "string",
          "instruction_step_id": "string",
          "form_id": "string",
          "started_at": 1,
          "next_instruction_step_id": "string",
          "decision_value": "string",
          "instruction_decision_id": "string",
          "decision_colour": "string",
          "flagged": true,
          "instruction_step_title": "string",
          "instruction_step_section_title": "string",
          "instruction_step_description": "string",
          "report_description": "string",
          "terminal": true,
          "completed_by_user_id": "string",
          "first_step": true,
          "defects_count": 1,
          "active_defects_count": 1,
          "inputs": [
            {
              "id": "string",
              "input": "string",
              "unformatted_date_input": "string",
              "selected_multi_options": [
                {
                  "id": "string",
                  "value": "string",
                  "colour": "string",
                  "instruction_option_id": "string"
                }
              ],
              "selected_input_records": [
                {
                  "id": "string",
                  "value": "string"
                }
              ],
              "failed_validations": [
                "string"
              ],
              "prefix": "string",
              "suffix": "string",
              "instruction_input_title": "string",
              "instruction_input_type": "string",
              "instruction_input_id": "string",
              "attachments": [
                {
                  "id": "string",
                  "content": {
                    "id": "string",
                    "original": "string",
                    "versions": [
                      "string"
                    ],
                    "thumbnails": [
                      "string"
                    ],
                    "title": "string"
                  },
                  "excluded_from_export": true
                }
              ],
              "form_step_id": "string",
              "created_at": 1,
              "updated_at": 1
            }
          ],
          "actions": [
            {
              "id": "string",
              "title": "string",
              "description": "string",
              "status": "string",
              "priority": "string",
              "actionable_type": "WorkOrder",
              "actionable_id": "string",
              "assigned_to_id": "string",
              "user_id": "string",
              "organisation_id": "string",
              "due_date": 1,
              "completed_at": 1,
              "notes": [
                {
                  "id": "string",
                  "content": "string",
                  "plain_text_content": "string",
                  "user": {
                    "id": "string",
                    "email": "string",
                    "name": "string",
                    "is_admin": true,
                    "location_manager": true,
                    "last_active_at": 1,
                    "archived": true,
                    "organisation_id": "string"
                  },
                  "noteable_type": "string",
                  "noteable_id": "string",
                  "attachments": [
                    {
                      "blob_url": "string",
                      "signed_id": "string",
                      "filename": "string",
                      "byte_size": 1,
                      "content_type": "string",
                      "preview_url": "string"
                    }
                  ]
                }
              ],
              "user": {
                "id": "string",
                "email": "string",
                "name": "string",
                "is_admin": true,
                "location_manager": true,
                "last_active_at": 1,
                "archived": true,
                "organisation_id": "string"
              },
              "contents": [
                {
                  "id": "string",
                  "original": "string",
                  "versions": [
                    "string"
                  ],
                  "thumbnails": [
                    "string"
                  ],
                  "title": "string"
                }
              ],
              "assigned_to": {
                "id": "string",
                "name": "string"
              },
              "created_at": 1,
              "updated_at": 1,
              "actionable": {}
            }
          ],
          "comment": {
            "id": "string",
            "description": "string",
            "user": {
              "id": "string",
              "email": "string",
              "name": "string",
              "is_admin": true,
              "location_manager": true,
              "last_active_at": 1,
              "archived": true,
              "organisation_id": "string"
            },
            "created_at": 1,
            "updated_at": 1
          },
          "completed_by_user": {
            "id": "string",
            "email": "string",
            "name": "string",
            "is_admin": true,
            "location_manager": true,
            "last_active_at": 1,
            "archived": true,
            "organisation_id": "string"
          },
          "created_at": 1,
          "updated_at": 1
        }
      ],
      "flagged_steps": [
        {
          "id": "string",
          "instruction_step_id": "string",
          "form_id": "string",
          "started_at": 1,
          "next_instruction_step_id": "string",
          "decision_value": "string",
          "instruction_decision_id": "string",
          "decision_colour": "string",
          "flagged": true,
          "instruction_step_title": "string",
          "instruction_step_section_title": "string",
          "instruction_step_description": "string",
          "report_description": "string",
          "terminal": true,
          "completed_by_user_id": "string",
          "first_step": true,
          "defects_count": 1,
          "active_defects_count": 1,
          "inputs": [
            {
              "id": "string",
              "input": "string",
              "unformatted_date_input": "string",
              "selected_multi_options": [
                {
                  "id": "string",
                  "value": "string",
                  "colour": "string",
                  "instruction_option_id": "string"
                }
              ],
              "selected_input_records": [
                {
                  "id": "string",
                  "value": "string"
                }
              ],
              "failed_validations": [
                "string"
              ],
              "prefix": "string",
              "suffix": "string",
              "instruction_input_title": "string",
              "instruction_input_type": "string",
              "instruction_input_id": "string",
              "attachments": [
                {
                  "id": "string",
                  "content": {
                    "id": "string",
                    "original": "string",
                    "versions": [
                      "string"
                    ],
                    "thumbnails": [
                      "string"
                    ],
                    "title": "string"
                  },
                  "excluded_from_export": true
                }
              ],
              "form_step_id": "string",
              "created_at": 1,
              "updated_at": 1
            }
          ],
          "actions": [
            {
              "id": "string",
              "title": "string",
              "description": "string",
              "status": "string",
              "priority": "string",
              "actionable_type": "WorkOrder",
              "actionable_id": "string",
              "assigned_to_id": "string",
              "user_id": "string",
              "organisation_id": "string",
              "due_date": 1,
              "completed_at": 1,
              "notes": [
                {
                  "id": "string",
                  "content": "string",
                  "plain_text_content": "string",
                  "user": {
                    "id": "string",
                    "email": "string",
                    "name": "string",
                    "is_admin": true,
                    "location_manager": true,
                    "last_active_at": 1,
                    "archived": true,
                    "organisation_id": "string"
                  },
                  "noteable_type": "string",
                  "noteable_id": "string",
                  "attachments": [
                    {
                      "blob_url": "string",
                      "signed_id": "string",
                      "filename": "string",
                      "byte_size": 1,
                      "content_type": "string",
                      "preview_url": "string"
                    }
                  ]
                }
              ],
              "user": {
                "id": "string",
                "email": "string",
                "name": "string",
                "is_admin": true,
                "location_manager": true,
                "last_active_at": 1,
                "archived": true,
                "organisation_id": "string"
              },
              "contents": [
                {
                  "id": "string",
                  "original": "string",
                  "versions": [
                    "string"
                  ],
                  "thumbnails": [
                    "string"
                  ],
                  "title": "string"
                }
              ],
              "assigned_to": {
                "id": "string",
                "name": "string"
              },
              "created_at": 1,
              "updated_at": 1,
              "actionable": {}
            }
          ],
          "comment": {
            "id": "string",
            "description": "string",
            "user": {
              "id": "string",
              "email": "string",
              "name": "string",
              "is_admin": true,
              "location_manager": true,
              "last_active_at": 1,
              "archived": true,
              "organisation_id": "string"
            },
            "created_at": 1,
            "updated_at": 1
          },
          "completed_by_user": {
            "id": "string",
            "email": "string",
            "name": "string",
            "is_admin": true,
            "location_manager": true,
            "last_active_at": 1,
            "archived": true,
            "organisation_id": "string"
          },
          "created_at": 1,
          "updated_at": 1
        }
      ],
      "user": {
        "id": "string",
        "email": "string",
        "name": "string",
        "is_admin": true,
        "location_manager": true,
        "last_active_at": 1,
        "archived": true,
        "organisation_id": "string"
      },
      "contributors": [
        {
          "id": "string",
          "email": "string",
          "name": "string",
          "is_admin": true,
          "location_manager": true,
          "last_active_at": 1,
          "archived": true,
          "organisation_id": "string"
        }
      ],
      "connected_users": [
        {
          "id": "string",
          "email": "string",
          "name": "string",
          "is_admin": true,
          "location_manager": true,
          "last_active_at": 1,
          "archived": true,
          "organisation_id": "string"
        }
      ],
      "co_authors": [
        {
          "id": "string",
          "email": "string",
          "name": "string",
          "is_admin": true,
          "location_manager": true,
          "last_active_at": 1,
          "archived": true,
          "organisation_id": "string"
        }
      ],
      "created_at": 1,
      "updated_at": 1,
      "reviewers": [
        {
          "id": "string",
          "name": "string",
          "person_id": "string",
          "reviewable_id": "string",
          "reviewable_type": "string",
          "status": "string",
          "requested_at": "2024-01-15T09:30:00Z",
          "reviews": [
            {
              "id": "string",
              "status": "string",
              "comment": "string",
              "created_at": 1
            }
          ]
        }
      ]
    },
    "published_instruction_revision": {
      "id": "string",
      "title": "string",
      "description": "string",
      "archived": true,
      "first_instruction_step_id": "string",
      "location_ids": [
        "string"
      ],
      "group_ids": [
        "string"
      ],
      "user_id": "string",
      "is_template": true,
      "instruction_id": "string",
      "is_latest_in_collection": true,
      "organisation_wide": true,
      "planned_parts": [
        {
          "id": "string",
          "quantity": 1.1,
          "instruction_revision_id": "string"
        }
      ],
      "part_confirmation_required": true,
      "links": [
        {
          "id": "string",
          "name": "string",
          "location_id": "string",
          "organisation_id": "string",
          "linkable_id": "string",
          "linkable_type": "string"
        }
      ],
      "steps": [
        {
          "id": "string",
          "step_uuid": "string",
          "title": "string",
          "section_title": "string",
          "report_only": true,
          "description": "string",
          "inputs": [
            {
              "id": "string",
              "title": "string",
              "input_type": "string",
              "sort_order": 1,
              "required": true,
              "hold_point": true,
              "validations": [
                {
                  "id": "string",
                  "validation_type": "string",
                  "value": "string",
                  "restricted": true
                }
              ],
              "options": [
                {
                  "id": "string",
                  "value": "string",
                  "colour": "string"
                }
              ],
              "prefix": "string",
              "suffix": "string",
              "input_owner_id": "string",
              "input_owner_type": "string",
              "settings": {},
              "type": "string",
              "instruction_input": true,
              "conditions": [
                {
                  "id": "string",
                  "instruction_input_id": "string",
                  "condition_type": "string",
                  "condition_value": "string"
                }
              ]
            }
          ],
          "decisions": [
            {
              "id": "string",
              "next_instruction_step_id": "string",
              "instruction_step_id": "string",
              "label": "string",
              "colour": "string"
            }
          ],
          "attachments": [
            {
              "id": "string",
              "original": "string",
              "versions": [
                "string"
              ],
              "thumbnails": [
                "string"
              ],
              "title": "string",
              "include_in_report": true
            }
          ]
        }
      ],
      "published_at": 1
    },
    "position": 1,
    "planned_start_at": 1,
    "planned_finish_at": 1,
    "user_can_review": true,
    "attachments": [
      {
        "id": "string",
        "blob_url": "string",
        "signed_id": "string",
        "filename": "string",
        "byte_size": 1,
        "content_type": "string",
        "preview_url": "string"
      }
    ]
  },
  "custom_fields": [
    {
      "id": "string",
      "custom_field_definition_id": "string",
      "name": "string",
      "value": "string"
    }
  ],
  "custom_field_definitions": [
    {
      "id": "string",
      "name": "string",
      "customisable_entity_name": "string",
      "field_type": "string",
      "required": true,
      "sort_order": 1,
      "created_at": 1,
      "updated_at": 1
    }
  ],
  "timeline": [
    {
      "id": "string",
      "event_type": "string",
      "event_description": "string",
      "user": {
        "id": "string",
        "email": "string",
        "name": "string",
        "is_admin": true,
        "location_manager": true,
        "last_active_at": 1,
        "archived": true,
        "organisation_id": "string"
      },
      "from_status": "string",
      "to_status": "string",
      "note": {
        "id": "string",
        "content": "string",
        "plain_text_content": "string",
        "user": {
          "id": "string",
          "email": "string",
          "name": "string",
          "is_admin": true,
          "location_manager": true,
          "last_active_at": 1,
          "archived": true,
          "organisation_id": "string"
        },
        "noteable_type": "string",
        "noteable_id": "string",
        "attachments": [
          {
            "blob_url": "string",
            "signed_id": "string",
            "filename": "string",
            "byte_size": 1,
            "content_type": "string",
            "preview_url": "string"
          }
        ]
      },
      "custom_fields": [
        {
          "id": "string",
          "custom_field_definition_id": "string",
          "name": "string",
          "value": "string"
        }
      ],
      "custom_field_definitions": [
        {
          "id": "string",
          "name": "string",
          "customisable_entity_name": "string",
          "field_type": "string",
          "required": true,
          "sort_order": 1,
          "created_at": 1,
          "updated_at": 1
        }
      ],
      "created_at": 1
    }
  ],
  "description_attachments": [
    {
      "blob_url": "string",
      "signed_id": "string",
      "filename": "string",
      "byte_size": 1,
      "content_type": "string",
      "preview_url": "string"
    }
  ],
  "created_at": 1,
  "priority": "low"
}
```

**SDK Code**

```python
import requests

url = "https://app.hindsiteind.com/api/v2/defects/id/begin_work"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.hindsiteind.com/api/v2/defects/id/begin_work';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.hindsiteind.com/api/v2/defects/id/begin_work"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.hindsiteind.com/api/v2/defects/id/begin_work")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://app.hindsiteind.com/api/v2/defects/id/begin_work")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://app.hindsiteind.com/api/v2/defects/id/begin_work', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.hindsiteind.com/api/v2/defects/id/begin_work");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.hindsiteind.com/api/v2/defects/id/begin_work")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```